sparse_solver.hh File Reference
`#include <mia/core/product_base.hh>`
`#include <mia/core/traits.hh>`
Include dependency graph for sparse_solver.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | TSparseSolver< F >::A_mult_x
| A class that implements the multiplication of a cell of the matrix A with the field x. More...
struct | multiply< F >
| Class template to implement a matrix - field multiplication. More...
class | TSparseSolver< F >
| solver for sparse systems of equations More...

## Functions

template<typename F>
F | operator* (const typename TSparseSolver< F >::A_mult_x &A, const F &x)

## Variables

template<typename F>
const char *const | TSparseSolver< F >::type_descr = "sparsesolver"

## Function Documentation

## operator*()

template<typename F>

F operator* | ( | const typename TSparseSolver< F >::A_mult_x & | A,
|  | const F & | x )

Implement the multiplication of a Matrix with an Image,

Parameters

  A | the matrix
  x | the input image

Returns
  A * x, (works like a matrix filter)

Remarks
  maybethis should go into the filter section

Definition at line 182 of file sparse_solver.hh.

References multiply< F >::apply().

## Variable Documentation

## TSparseSolver< F >::type_descr

template<typename F>

const char* const TSparseSolver< F >::type_descr = "sparsesolver"

Definition at line 141 of file sparse_solver.hh.

Referenced by CPluginHandlerBase::CPluginHandlerBase().